/*	Some Types for Crypto Related Implementations
	Copyright (C) 1999, Daniel Roethlisberger

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	The author of this program may be contacted at admin@roe.ch.
*/
#ifndef _TYPES_H
#define _TYPES_H

#define DWORD unsigned long

#pragma pack(push, 1)

// 128 bit BETA
typedef struct {
	DWORD A;
	DWORD B;
	DWORD C;
	DWORD D;
} BETA;

// 256 bit KAPPA
typedef struct {
	DWORD A;
	DWORD B;
	DWORD C;
	DWORD D;
	DWORD E;
	DWORD F;
	DWORD G;
	DWORD H;
} KAPPA;

#pragma pack(pop)

#endif /* _TYPES_H */

